package com.jasamedika.medifirst2000.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PemeliharaanVO extends BaseTransactionVO {
	
	private String noRecOrder;
	
	private String keteranganRespon;
	
	private String namaTeknisi;
	
	private RekananSkKontrakVO rekanananSkKontrakVO;
	
	private RekananSkKontrakDetailVO rekananSkKontrakDetail;

	private AsalSukuCadangVO asalSukuCadang;
	
	private StatusPekerjaanVO statusPekerjaan;
	
	@OneToMany
	private List<PlanningPelayananPetugasVO> teknisi = new ArrayList<PlanningPelayananPetugasVO>();
	
	@OneToMany
	private List<PemeriksaanVO> pemeriksaan = new ArrayList<PemeriksaanVO>();

	@Caption(value = "Kebutuhan Alat Catu Tegangan")
	private String kebutuhanAlatCatuTegangan;
	
	@Caption(value = "Kebutuhan Alat Temperatur Ruangan")
	private String kebutuhanAlatTemperaturRuangan;
	
	@Caption(value = "Kebutuhan Alat Kelembaban Ruangan")
	private String kebutuhanAlatKelembabanRuangan;
	
	@Caption(value = "Terukur Catu Tegangan")
	private String terukurCatuTegangan;
	
	@Caption(value = "Terukur Temperatur Ruangan")
	private String terukurTemperaturRuangan;
	
	@Caption(value = "Terukur Kelembaban Ruangan")
	private String terukurKelembabanRuangan;

	public String getNoRecOrder() {
		return noRecOrder;
	}

	public void setNoRecOrder(String noRecOrder) {
		this.noRecOrder = noRecOrder;
	}

	public String getKeteranganRespon() {
		return keteranganRespon;
	}

	public void setKeteranganRespon(String keteranganRespon) {
		this.keteranganRespon = keteranganRespon;
	}

	public String getNamaTeknisi() {
		return namaTeknisi;
	}

	public void setNamaTeknisi(String namaTeknisi) {
		this.namaTeknisi = namaTeknisi;
	}

	public RekananSkKontrakVO getRekanananSkKontrakVO() {
		return rekanananSkKontrakVO;
	}

	public void setRekanananSkKontrakVO(RekananSkKontrakVO rekanananSkKontrakVO) {
		this.rekanananSkKontrakVO = rekanananSkKontrakVO;
	}

	public RekananSkKontrakDetailVO getRekananSkKontrakDetail() {
		return rekananSkKontrakDetail;
	}

	public void setRekananSkKontrakDetail(RekananSkKontrakDetailVO rekananSkKontrakDetail) {
		this.rekananSkKontrakDetail = rekananSkKontrakDetail;
	}

	public AsalSukuCadangVO getAsalSukuCadang() {
		return asalSukuCadang;
	}

	public void setAsalSukuCadang(AsalSukuCadangVO asalSukuCadang) {
		this.asalSukuCadang = asalSukuCadang;
	}

	public StatusPekerjaanVO getStatusPekerjaan() {
		return statusPekerjaan;
	}

	public void setStatusPekerjaan(StatusPekerjaanVO statusPekerjaan) {
		this.statusPekerjaan = statusPekerjaan;
	}

	public List<PlanningPelayananPetugasVO> getTeknisi() {
		return teknisi;
	}

	public void setTeknisi(List<PlanningPelayananPetugasVO> teknisi) {
		this.teknisi = teknisi;
	}

	public String getKebutuhanAlatCatuTegangan() {
		return kebutuhanAlatCatuTegangan;
	}

	public void setKebutuhanAlatCatuTegangan(String kebutuhanAlatCatuTegangan) {
		this.kebutuhanAlatCatuTegangan = kebutuhanAlatCatuTegangan;
	}

	public String getKebutuhanAlatTemperaturRuangan() {
		return kebutuhanAlatTemperaturRuangan;
	}

	public void setKebutuhanAlatTemperaturRuangan(String kebutuhanAlatTemperaturRuangan) {
		this.kebutuhanAlatTemperaturRuangan = kebutuhanAlatTemperaturRuangan;
	}

	public String getKebutuhanAlatKelembabanRuangan() {
		return kebutuhanAlatKelembabanRuangan;
	}

	public void setKebutuhanAlatKelembabanRuangan(String kebutuhanAlatKelembabanRuangan) {
		this.kebutuhanAlatKelembabanRuangan = kebutuhanAlatKelembabanRuangan;
	}

	public String getTerukurCatuTegangan() {
		return terukurCatuTegangan;
	}

	public void setTerukurCatuTegangan(String terukurCatuTegangan) {
		this.terukurCatuTegangan = terukurCatuTegangan;
	}

	public String getTerukurTemperaturRuangan() {
		return terukurTemperaturRuangan;
	}

	public void setTerukurTemperaturRuangan(String terukurTemperaturRuangan) {
		this.terukurTemperaturRuangan = terukurTemperaturRuangan;
	}

	public String getTerukurKelembabanRuangan() {
		return terukurKelembabanRuangan;
	}

	public void setTerukurKelembabanRuangan(String terukurKelembabanRuangan) {
		this.terukurKelembabanRuangan = terukurKelembabanRuangan;
	}

	public List<PemeriksaanVO> getPemeriksaan() {
		return pemeriksaan;
	}

	public void setPemeriksaan(List<PemeriksaanVO> pemeriksaan) {
		this.pemeriksaan = pemeriksaan;
	}	
	
	
	
}
